Update terminal operating mode - Terminals - Mercado Pago Developers
Update terminal operation mode

This endpoint allows you to change the terminal operating mode. The only terminal allowed for this request is the NEWLAND_N950. In case of success, the request will return a response with status 200

PATCH

https://api.mercadopago.com/terminals/v1/setup
Request parameters
Body
terminals
array
This node will contain the list of terminals which operating mode you want to modify.
Response parameters
terminals
array
This node will contain the terminal's information with its new operating mode.
Errors

400Error.

unsupported_site

Invalid site for this request. The only available locations/sites are Argentina, Brazil, Chile and Mexico. Check the sent Access Token and try to execute the request again.

unsupported_properties

A parameter that is not supported by the API was sent. Check the message returned in the error details to identify the problem and try again.

required_properties

Some required properties are missing. Check the message returned in the error details to identify the problem and try again by sending the missing information.

property_value

An incorrect value for some property was sent. Check the message returned in the error details to find out what the problem was and try again.

invalid_payload

Invalid payload. Check the sent fields and try to make the request again.

401Error.

unauthorized

The value sent as Access Token is incorrect. Please check and try again with the correct value.

403No permission to access the resource.

terminal_not_allowed_action

The terminal identified in the "id" field is not allowed to perform this action. The terminal allowed for this request is the NEWLAND_N950.

store_pos_not_found

The terminal used does not have a store associated or, if there is a store, it does not have a point of sale created. Please check the returned message and try submitting the request again.

404Error.

not_found

Resource not found or the value sent is inexistent. Validate the information sent in the parameters and try the request again.

412Error.

Only one pos-store with PDV mode ON or SUSPENDED is allowed

Operation not allowed because there is already a terminal associated with the point of sale, and each point of sale allows only one associated terminal in POS mode.

500Error.

internal_error

Internal error. Please check the returned message and try submitting your request again.

Request
curl -X PATCH \
    'https://api.mercadopago.com/terminals/v1/setup'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-7*********635832-03*********2ffa6c013*********0a90fa2cd*********120' \
    -d '{
  "terminals": [
    {
      "id": "NEWLAND_N950__N950NCB801293324",
      "operating_mode": "PDV | STANDALONE"
    }
  ]
}'
Response
{
  "terminals": [
    {
      "id": "NEWLAND_N950__N950NCB801293324",
      "operating_mode": "PDV | STANDALONE"
    }
  ]
}